## org.hibernate.ejb.criteria
Class AbstractNode

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractTupleElement, CriteriaQueryImpl

    public class AbstractNode

extends Object
implements Serializable

All nodes in a criteria query tree will generally need access to the `CriteriaBuilderImpl` from which they come. This base class provides convenient, consistent support for that.

See Also:
  Serialized Form

Constructor Summary
`AbstractNode(CriteriaBuilderImpl criteriaBuilder)`

Method Summary
`protected CriteriaBuilderImpl` `criteriaBuilder()` Provides protected access to the underlying `CriteriaBuilderImpl`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNode

    public AbstractNode(CriteriaBuilderImpl criteriaBuilder)

Method Detail

### criteriaBuilder

    protected CriteriaBuilderImpl criteriaBuilder()

  Provides protected access to the underlying `CriteriaBuilderImpl`.

  Returns:
    The underlying `CriteriaBuilderImpl` instance.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.